ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface SmartHousePackageService

-     public interface SmartHousePackageService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SmartHousePackageBase` | `packageBaseGet(int basePackageId)`
    `java.util.List<IdTitle>` | `packageBaseList()`
    `void` | `packageBaseOptionUpdate(int packageBaseId, java.lang.String optionNames)`
    `SearchResult<SmartHousePackageBase>` | `packageBaseSearch(java.lang.String title, boolean showOld, java.lang.String[] sort, Page page)`
    `SmartHousePackageBase` | `packageBaseUpdate(SmartHousePackageBase packageBase)`
    `void` | `packageContractDelete(int contractId, int id)`
    `SmartHousePackageContract` | `packageContractGet(int contractId, int packageContractId)`
    `int[]` | `packageContractNavigationIds(int contractId, int packageContractId)`
    `SearchResult<SmartHousePackageContract>` | `packageContractSearch(int contractId, boolean showOld, java.lang.String[] sort, Page page)`
    `SmartHousePackageContract` | `packageContractUpdate(SmartHousePackageContract packageContract)`
    `SmartHousePackageOption` | `packageOptionGet(int packageOptionId)`
    `java.util.List<SmartHousePackageOption>` | `packageOptionList()`
    `SmartHousePackageOption` | `packageOptionUpdate(SmartHousePackageOption packageOption)`
    `java.util.List<java.lang.String>` | `serviceList()`

- - ### Method Detail

    - #### packageBaseSearch

          SearchResult<SmartHousePackageBase> packageBaseSearch(java.lang.String title,
                                                                boolean showOld,
                                                                java.lang.String[] sort,
                                                                Page page)
                                                         throws ru.bitel.bgbilling.common.BGException,
                                                                ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageBaseGet

          SmartHousePackageBase packageBaseGet(int basePackageId)
                                        throws ru.bitel.bgbilling.common.BGException,
                                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageBaseUpdate

          SmartHousePackageBase packageBaseUpdate(SmartHousePackageBase packageBase)
                                           throws ru.bitel.bgbilling.common.BGException,
                                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageBaseOptionUpdate

          void packageBaseOptionUpdate(int packageBaseId,
                                       java.lang.String optionNames)
                                throws ru.bitel.bgbilling.common.BGException,
                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageBaseList

          java.util.List<IdTitle> packageBaseList()
                                           throws ru.bitel.bgbilling.common.BGException,
                                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageContractSearch

          SearchResult<SmartHousePackageContract> packageContractSearch(int contractId,
                                                                        boolean showOld,
                                                                        java.lang.String[] sort,
                                                                        Page page)
                                                                 throws ru.bitel.bgbilling.common.BGException,
                                                                        ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageContractUpdate

          SmartHousePackageContract packageContractUpdate(SmartHousePackageContract packageContract)
                                                   throws ru.bitel.bgbilling.common.BGException,
                                                          ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageContractDelete

          void packageContractDelete(int contractId,
                                     int id)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageContractGet

          SmartHousePackageContract packageContractGet(int contractId,
                                                       int packageContractId)
                                                throws ru.bitel.bgbilling.common.BGException,
                                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageContractNavigationIds

          int[] packageContractNavigationIds(int contractId,
                                             int packageContractId)
                                      throws ru.bitel.bgbilling.common.BGException,
                                             ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageOptionList

          java.util.List<SmartHousePackageOption> packageOptionList()
                                                             throws ru.bitel.bgbilling.common.BGException,
                                                                    ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageOptionGet

          SmartHousePackageOption packageOptionGet(int packageOptionId)
                                            throws ru.bitel.bgbilling.common.BGException,
                                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### packageOptionUpdate

          SmartHousePackageOption packageOptionUpdate(SmartHousePackageOption packageOption)
                                               throws ru.bitel.bgbilling.common.BGException,
                                                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### serviceList

          java.util.List<java.lang.String> serviceList()
                                                throws ru.bitel.bgbilling.common.BGException,
                                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`